@echo off
title Grand Theft Auto 5 CMD Launcher Stand alone
echo This script is the stand alone Version and will only
echo set the games priority
pause
cd script_files
CLS
ECHO.
ECHO --------------------------------------------------
ECHO Grand Theft Auto 5 CMD Launcher Stand alone
ECHO --------------------------------------------------
ECHO.
ECHO 1 - Grand Theft Auto 5 (STEAM)
ECHO 2 - Grand Theft Auto 5 (Retail/Non-Steam)

ECHO.
SET /P M=Type 1 or 2 then press ENTER:
IF %M%==1 GOTO STEAM
IF %M%==2 GOTO NON-STEAM
:STEAM
START steam://rungameid/271590
GOTO NIKO

:NON-STEAM
START /W RETAIL_LAUNCHER.bat
GOTO NIKO

:NIKO
::echo time was change from 60 to 120 to give longer to let the game start
::and fix the slow Social Club start due to the process being set to low priority
timeout 120
:: using high priority on a older/slower CPU can lower the FPS in-game
::::
:: wmic process where name="GTA5.exe" CALL setpriority "high priority"
::::
wmic process where name="GTA5.exe" CALL setpriority "above normal"
wmic process where name="gtavlauncher.exe" CALL setpriority "idle"
wmic process where name="subprocess.exe" CALL setpriority "idle"
timeout 10
exit
::Made by MRxSNIPES2